/**********************************************************************
  			Network information		    
 **********************************************************************/
#define irc_network 	"TrNet"
#define admin_chan  	"#MasteR"
#define random_serv 	"irc.trnet.org"
#define network_www 	"http://www.trnet.org"
#undef  network_aup 	"http://www.trnet.org" /*undef to disable*/
#define netwide_kline 	"ircadmin@trnet.org"

/**********************************************************************
  			Network contacts		    
 **********************************************************************/
#define contact_url 	"http://www.trnet.org"
#define contact_email 	"ircadmin@trnet.org"
#define kline_address 	"ircadmin@trnet.org"

/**********************************************************************
  			Host masking		    
 **********************************************************************/
#define x_prefix 	"TrNet"
#define oper_host       "IRCop.TrNet.Org"
#define admin_host      "Admin.TrNet.Org"
#define locop_host      "Local.TrNet.Org"
#define sadmin_host     "SAdmin.TrNet.Org"
#define tadmin_host     "TechAdmin.TrNet.Org"
#define netadmin_host   "NetAdmin.TrNet.Org"
#define helper_host	"Helper.TrNet.Org"

/**********************************************************************
  		    User connect auto modes
 **********************************************************************/
#undef 	NO_DEFAULT_HIDE		/* define to disable auto +i */
#undef 	NO_DEFAULT_INVISIBLE	/* define to disable auto +x */

/**********************************************************************
		    Clone checking / Socks Detection
 **********************************************************************/
#define THROTTLE	 	/* undefine to disable clone checking */
#define CHECK_CLONE_LIMIT  15	/* after n connections */
#define CHECK_CLONE_PERIOD 15	/* during time (seconds) */
#define CHECK_CLONE_DELAY  60	/* will put a temp zline (seconds) */

#undef CHECKFORSOCKS		/* undefine to disable sock detection */

/**********************************************************************
				Services
 **********************************************************************/
#define SERVICES_NAME	"Services.TrNet.Org"
#define ChanServ 	"ChanServ"
#define MemoServ 	"MemoServ"
#define NickServ 	"NickServ"
#define OperServ 	"OperServ"
#define NewsServ 	"NewsServ"
#define StatServ 	"StatServ"
 
/**********************************************************************
			IRC Operators privileges				
 **********************************************************************/
#define CANUSENEWHOST		/* Can use new host command */
#undef  CANUSEFMODE		/* Can use fake modes */
#define NOSELFKILL		/* Cannot do self kills */ 
#undef 	NOOPERKILL		/* Cannot kill other opers */
#define	KICKPROTECTION		/* Cannot be kicked */
#define	OPERCANALWAYSSEND	/* Operator can always send (+b/+m) */
#define CANALWAYSJOIN		/* Can always join a channel */
#define	CANALWAYSKICK		/* Can always kick (even without @) */
#define CANSTEALTH		/* N/T Admins can use +S (stealth mode) ? */
#undef  SILENTSTEALTH		/* Disable Enter/Leave stealth mode globops */

/**********************************************************************
			    Misc. Settings
 **********************************************************************/
#define NOQUITMSG		/* Quit messsages will never be used */
#define NOCOLORQUITS		/* Colored quit messages not allowed */
#define NOSPAMQUITS		/* Spam messages not allowed */
#define HIDE_ULINE		/* Hide ulined servers from /links  */
#define NOCTCPBLOCK		/* Define to disable chan CTCP blocking */

