/**********************************************************************
  			Network information		    
 **********************************************************************/
#define irc_network 	"Mellorien"
#define admin_chan  	"#mellorien"
#define random_serv 	"irc.mellorien.net"
#define network_www 	"http://www.mellorien.net"
#define network_aup 	"http://www.mellorien.net/"
#define netwide_kline 	"kline@mellorien.net"

/**********************************************************************
  			Network contacts		    
 **********************************************************************/
#define contact_url 	"http://www.mellorien.net"
#define contact_email 	"admin@mellorien.net"
#define kline_address 	"kline@mellorien.net"

/**********************************************************************
  			Host masking		    
 **********************************************************************/
#define x_prefix 	"mell"
#define oper_host       "IRCop.Mellorien.Net"
#define admin_host      "Admin.Mellorien.Net"
#define locop_host      "Local.Mellorien.Net"
#define sadmin_host     "SAdmin.Mellorien.Net"
#define tadmin_host     "TechAdmin.Mellorien.Net"
#define netadmin_host   "NetAdmin.Mellorien.Net"
#define helper_host	"Helper.Mellorien.Net"

/**********************************************************************
  		    User connect auto modes
 **********************************************************************/
#undef 	NO_DEFAULT_HIDE		/* define to disable auto +i */
#undef 	NO_DEFAULT_INVISIBLE	/* define to disable auto +x */

/**********************************************************************
		    Clone checking / Socks Detection
 **********************************************************************/
#define THROTTLE	 	/* undefine to disable clone checking */
#define CHECK_CLONE_LIMIT  3	/* after n connections */
#define CHECK_CLONE_PERIOD 15	/* during time (seconds) */
#define CHECK_CLONE_DELAY  60	/* will put a temp zline (seconds) */

#define CHECKFORSOCKS		/* undefine to disable */

/**********************************************************************
				Services
 **********************************************************************/
#define SERVICES_NAME	"services.mellorien.net"
#define ChanServ 	"Chanserv"
#define MemoServ 	"Memoserv"
#define NickServ 	"Nickserv"
#define OperServ 	"Operserv"
#define NewsServ 	"Newsserv"
#define StatServ 	"Statserv"
 
/**********************************************************************
			IRC Operators privileges				
 **********************************************************************/
#undef CANUSENEWHOST		/* Can use new host command */
#undef  CANUSEFMODE		/* Can use fake modes */
#define NOSELFKILL		/* Cannot do self kills */ 
#undef 	NOOPERKILL		/* Cannot kill other opers */
#undef	KICKPROTECTION		/* Cannot be kicked */
#define	OPERCANALWAYSSEND	/* Operator can always send (+b/+m) */
#undef 	CANALWAYSJOIN		/* Can always join a channel */
#undef	CANALWAYSKICK		/* Can always kick (even without @) */
#define CANSTEALTH		/* NetAdmins can use +S (stealth mode) ? */

/**********************************************************************
			    Misc. Settings
 **********************************************************************/
#undef  NOQUITMSG		/* Quit messsages will never be used */
#define NOCOLORQUITS		/* Colored quit messages not allowed */
#define HIDE_ULINE		/* Hide ulined servers from /links  */
#define NOCTCPBLOCK
